# =============================================================
#                WARNING                WARNING
# =============================================================
# Those settings can modify the behavior of your server.
# Your server will NOT be as retail servers.
# 
# Those settings are useful if you own some special server
# or really small server.
# =============================================================

# -------------------------------------------------------------
# Server config
# -------------------------------------------------------------
# AutoLoot enable... True to enable, False to disable
AutoLoot = False

# This option when set to true will enable automatically picking up
# items dropped by Raid Bosses. If set false it will force the player
# to pickup dropped items. (This excludes herbs mentioned above)
# Retail: false
AutoLootRaid = False

# AutoLoot for Adena enable... True to enable, False to disable
# If False Adena will drop on ground even if AutoLoot is enabled 
AutoLootAdena = False

# If False herbs will drop on ground even if AutoLoot is enabled
AutoLootHerbs = False

# If XP loss (and deleveling) is enabled, default is 'true'
Delevel = True

# If disabled, magic dmg has always 100% chance of success, default is 'true'
MagicFailures = True

# Alternative cancel of attack (bow, cast, all)
AltGameCancelByHit = cast

# Alternative rules for shields - if they block, the damage is powerAtk-shieldDef,
# otherwise it's powerAttak / (shieldDef + powerDef)
AltShieldBlocks = False

# Alternative Rate Value for Perfect Shield Block Rate.
AltPerfectShieldBlockRate = 5

# Alternative mob behavior in peace zones 
# Default = True; Set to False to prevent mobs from auto-agro against players in peace zones  
AltMobAgroInPeaceZone = True

# Defines whether NPCs are attackable by default
# Retail: true
AltAttackableNpcs = True

# Alternative Freight mode. If true, freights can be withdrawed from any place.
# Also, possibility to change Freight price (in adena) for each item slot in freight.
# NOTE: AltGameFreightPrice WILL NOT change the value shown to the player, but the
# player will actually get charged for the value set in here.
AltGameFreights = True
AltGameFreightPrice = 0

# Alternative Xp/Sp rewards, if not 0, then calculated as 2^((mob.level-player.level) / coef),
# A few examples for "AltGameExponentXp = 5." and "AltGameExponentSp = 3."
# diff = 0 (player and mob has the same level), XP bonus rate = 1, SP bonus rate = 1
# diff = 3 (mob is 3 levels above), XP bonus rate = 1.52, SP bonus rate = 2
# diff = 5 (mob is 5 levels above), XP bonus rate = 2, SP bonus rate = 3.17
# diff = -8 (mob is 8 levels below), XP bonus rate = 0.4, SP bonus rate = 0.16
AltGameExponentXp = 0
AltGameExponentSp = 0

# Set alternative default restart town
# 0 = Talking Island
AltDefaultRestartTown = 0

# Decrease CP by 10 every normal hit a player do
AltGameTiredness = False

# Disable Raidboss Petrification
DisableRaidBossPetrification = True

# Critical Cap
# 1000 = 100% critical
AltPCriticalCap = 500
AltMCriticalCap = 200
# Limit attack speed (0 = disable)
MaxPAtkSpeed = 2200
MaxMAtkSpeed = 3000
# Maximum character running speed.
MaxRunSpeed = 250
# Maximum Evasion
MaxEvasion = 200

# MCrit Damage Rate
AltMCritRate = 3.0
AltMCritPvpRate = 2.5

# The multi the damage will be multiplied with after the first target (0..1)
# Default: 1.0 (retail)
AltPolearmDamageMulti = 1.0

# The multi the absorbed amount will be multiplied with after the first target (0..1)
# Default: 0.5 (guess)
AltPolearmVampiricMulti = 0.5

# -------------------------------------------------------------
# Alternative settings against player with karma
# -------------------------------------------------------------
AltKarmaPlayerCanBeKilledInPeaceZone = False
AltKarmaPlayerCanShop = True
# Can the player use Scroll of Escape or Return skill?
AltKarmaPlayerCanTeleport = True
# Can the player use gatekeepers (GK)?
AltKarmaPlayerCanUseGK = False
AltKarmaPlayerCanTrade = True
AltKarmaPlayerCanUseWareHouse = True

# Protect Player till level of PVP ( he also cant attack other players) 0 = disabled 
AltPlayerProtectionLevel = 0

# Allow free teleportation around the world.
AltFreeTeleporting = True

# C2:AoS patch note translation:
# "Players can currently restart and recommend the same person again (pending available points), we do not currently limit this."
# Set true for disallow recommend character twice or more a day, even if player re-logs
AltRecommend = False

# Allows to spawn siege guard when castle siege start
# Disable will reduce lag when castle siege
SpawnSiegeGuard = True

# Damage Multipliers for Characters.
AltPDamageMages = 1.0
AltMDamageMages = 1.0
AltPDamageFighters = 1.0
AltMDamageFighters = 1.0

# Damage Multipliers for pets and summons.
AltPDamagePets = 1.0
AltMDamagePets = 1.0

# Damage Multipliers for NPCs (mobs).
AltPDamageNpc = 1.0
AltMDamageNpc = 1.0

# Attack Speed config, decrease the delay before next hit.
# for example 0.90 will decrease delay time for 10%
AltAttackDelay = 1.00

# Allows grade penalty
GradePenalty = True

# Allows non-GM players to view NPC stats and droplist via shift-click
AltGameViewNpc = False

# If True Hero Weapons can be only eq by Heros cant be traded sold etc..
StrictHeroSystem = True
StrictSevenSigns = True

# Hate of mobs on Buffers/Healers - higher value lower hate
BufferHate = 1

# No EXP/SP cutoff, if mob is too high level for player, no EXP/SP
# Make sure is a negative value
# -10 = If mob is 10+ levels higher than player, player gets no EXP/SP
# Deprecated, don't use it
# MobPCExpCutoff = -10

# Alchemist Mixing Urn temp fail
UrnTempFail = 10

# All new characters of the same account are newbies, not only first one
# This setting is now DEPRECATED: all new characters are always 'newbies' since C5.
# Database field and player methods related with this old setting are now used for 
# newbie rewards tracking from quest scripts, ergo this setting will be ignored.
AltNewCharAlwaysIsNewbie = True

# SoulCrystal Chance
ChanceToBreak = 10
ChanceToLevel = 32

# Feature that fails in FakeDeath(true = Failure)
#FailFakeDeath = False

# Allow riding wyvern during Castle/Fort Siege
# Retail: True
AltFlyingWyvernInSiege = True

# Privilege browse warehouse enables at the same time also withdraw from warehouse!
AltMembersCanWithdrawFromClanWH = False

# Remove Castle circlets when a clan loses castle or a player leaves a clan - retail false
RemoveCastleCirclets = False

# -------------------------------------------------------------
# Crafting config
# -------------------------------------------------------------
# Crafting enabled/disabled. On by default
CraftingEnabled = True

# Limits for recipes (default: 50 - for dwarf, 50 - for common)
DwarfRecipeLimit = 50
CommonRecipeLimit = 50

# Alternative crafting rules:
# - crafting takes time
# - players get EXP/SP for crafting
AltGameCreation = False

# Time multiplier - bigger number ===> slower crafting but more XP/SP 
AltGameCreationSpeed = 1

# Additional XP/SP rate multiplier (for increased XP/SP) default = 1
AltGameCreationXpRate = 1
AltGameCreationSpRate = 1

# XP,SP rate multiplier when creating rare item
# Retail: 2
AltGameCreationRareXpSpRate = 2

# If set to False, blacksmiths don't take recipes from players inventory when crafting.
# Default = True (on retail it's confirmed that blacksmith use recipes for each crafted item) 
AltBlacksmithUseRecipes = True

# -------------------------------------------------------------
# Wyvern Manager
# -------------------------------------------------------------
# Elite Pet Trainer in Castle that can train strider to wyvern 
# for castle lord for 10 B-grade Crystals
SpawnWyvernManager = False
ManagerCrystalCount = 25

# -------------------------------------------------------------
# Class Master
# -------------------------------------------------------------
# Config for special Class Master npc that can change players occupation
# If you need change occupation only use quest then set this to False (Default)
# Syntax: occupation number;[required item id(count)],[],...;[reward item id(count)],[],...;occupation number...
# Examples:
#
# ConfigClassMaster=1;[57(100000)];[];2;[57(1000000)];[];3;[57(10000000)],[5575(1000000)];[6622(1)]
# 1st occupation change for 100.000 Adena (item id 57)
# 2nd occupation change for 1.000.0000 Adena (item id 57)
# 3rd occupation change for 10.000.0000 Adena (item id 57) and 1.000.000 Ancient Adena (item id 5575)
# on 3rd occupation change player will be rewarded with 1 Book of Giants (item id 6622) 
#
# ConfigClassMaster=1;[];[];2;[];[];3;[];[]
# 1st, 2nd, 3rd occupation change for free, without rewards
ConfigClassMaster = 1;[];[];2;[];[];3;[];[]
# Allows Strider Update
ClassMasterUpdateStrider = False
# Spawn Class Master npc if you have any in spawnlist. Default = False
SpawnClassMaster = True

# Use l2jserver's class master (options below)
L2JClassMaster = False

# Class Masters will allow changing to any occupation on any level inside class tree 
# For example, Dwarven Fighter will be able to advance to: 
# Artisan, Scavenger, Warsmith, Bounty Hunter, Maestro, Fortune Seeker. 
# But Warsmith will be able to change only to Maestro.  
ClassMasterEntireTree = False 

# Then character reach levels 20,40,76 he will receive tutorial page 
# with list of the all possible variants, and can select and immediately 
# change to the new occupation, or decide to choose later (on next login). 
# Can be used with or without classic Class Masters. 
AltClassMaster = False

# -------------------------------------------------------------
# Skills config
# -------------------------------------------------------------
# Spell Book needed to learn skills
# Retail: False
SpBookNeeded = False
# Life crystal needed to learn clan skills
LifeCrystalNeeded = True
# Book needed to enchant skills
EnchantSkillSpBookNeeded = True
# Require spell book needed to learn Divine Inspiration.
# Default: True
DivineInspirationSpBookNeeded = True

# Alternative skill learn rules:
# - all classes can learn all skills
# - skills of another class costs x2 SP
# - skills of another race costs x2 SP
# - skills of fighters/mages costs x3 SP
AltGameSkillLearn = False

# Allow player sub-class addition without checking for unique quest items.
AltSubClassWithoutQuests = True

# Allow player to add/change subclass at all village master
AltSubclassEverywhere = True

# Max SubClasses possible (Default, official value = 3)
MaxSubclass = 3

# Maximum subclass level.
# Default: 80
MaxSubclassLevel = 80

# Alternative success rate formulas for skills like dagger/critical skills,
# 'true' to use this formula , 'false' to use the original based on rCrit (c3 like)
AltGameDaggerFormula = False

# Alternative cancel rate
AltCancelRate = 85

# Alternative success rate for skills like dagger/critical skills
# MUST be setted above to AltGameDaggerFormula = true
# Rate of success is based on the position of the char, to this is added/subbed some percent 
# if the char is behind or is in Front of the target.
# FailRate is the chance of a skill critical attack to fail. max value 100 (100% fail)
# Successrate is the chance of a skill critical attack. max value 100 (100% critical)
# Do some tests before changing the values.
AltSuccessRate = 0
AltFailRate = 30
AltSuccessRateBehind = 15
AltSuccessRateFront = 10

# Instant Kill Effect lvl 2 (no change on CP, HP reduced to 1hp, no kill on char)
# Value In Percent %, higher value, higher chance, max value = 100%.
InstantKillEffect2 = 2.0

# Buff time rate
AltBuffTime = 1
AltDanceTime = 1

# If True Continues doesn't consume additional MP
AltDanceMpConsume = False

# Maximum number of buffs and songs/dances
# Since Gracia, song and dance count is split from other buffs.
# (default buffs = 20 + 4 with divine inspiration skill)
# Retail: 20, 12
MaxBuffAmount = 26
MaxDanceSongAmount = 16

# Allow players to cancel dances/songs via Alt+click on buff icon 
# Default: False 
DanceCancelBuff = False

# In auto learn skills, learn also Divine Inspiration?
AutoLearnDivineInspiration = False

# Enable auto learn skills for players
AutoLearnSkills = True

# CONFUSING(nothing todo with party) -> When you made damage to a mob
# and are inside this range, you will be considered as player to reward.
# Checks for party range to mob to calculate rewards(exp, items).
AltPartyRange = 1600

# 1. Used for adena distribution in party
# 2. Used to handle random and by turn party loot
AltPartyRange2 = 2500

# Weight Limit multiplier - default 1 
AltWeightLimit = 4.

# Summon penalty rate, the final penalty will be : expPenalty (define in xml) * ratePenalty (define here)
# set to 0 if you want to completely disable summon penalty or let 1.0 to keep it like before
AltSummonPenaltyRate = 1.0

# Temporary config for FallHeight 
# by retail each class have own FallHeight
# set Height of Fall before char will get damage
AltMinimumFallHeight = 400

# If enabled ItemSkills like are not influenced by character casting/attack speed and matk/patk 
AltItemSkillsNotInfluenced = False

# -----------------------------------------------------------------
#  Olympiad Config
# -----------------------------------------------------------------

# Olympiad Start Time in Military hours Default 6pm (18)
AltOlyStartTime = 15

# Olympiad Start Time for Min's, Default 00 so at the start of the hour.
AltOlyMin = 30

# Olympiad Competition Period, Default 6 hours.
# 8 hours
AltOlyCPeriod = 28800000

# Olympiad Battle Period, Default 6 minutes. (If set different, should be < AltOlyBWait)
AltOlyBattle = 360000

# Olympiad Weekly Period, Default 1 week
# 2 days
AltOlyWperiod = 172800000

# Olympiad Validation Period, Default 24 Hours.
# 1 hour
AltOlyVperiod = 3600000

# Olympiad allow matches from same IP
AltOlySameIp = True

# Olympiad Battle Reward
AltOlyBattleRewItem = 13722

# Classed Olympiad Settings 
AltOlyClassedParticipants = 2
AltOlyClassedRewItemCount = 50

# NonClassed Olympiad Settings
AltOlyNonClassedParticipants = 4
AltOlyNonClassedRewItemCount = 30

# Number used for displaying amount of registered participants, messages "Fewer than ..." or "More than ...".
# 0 for displaying digits instead of text phrase (old style).
# Default: 100
AltOlyRegistrationDisplayNumber = 0

# Olympiad Competition Rewards
# ItemId for this Reward, Retail 13722(Gate Pass)
AltOlyCompRewItem = 13722

# Rate to exchange Points to Reward item, Retail 1 Point * 1000
AltOlyGPPerPoint = 1000

# Noblesse points awarded to Heros.
# Default: 180
AltOlyHeroPoints = 180

# Noblesse points awarded to Rank 1 members.
# Default: 120
AltOlyRank1Points = 120

# Noblesse points awarded to Rank 2 members.
# Default: 80
AltOlyRank2Points = 80

# Noblesse points awarded to Rank 3 members.
# Default: 55
AltOlyRank3Points = 55

# Noblesse points awarded to Rank 4 members.
# Default: 35
AltOlyRank4Points = 35

# Noblesse points awarded to Rank 5 members.
# Default: 20
AltOlyRank5Points = 20

# Maximum points that player can gain/lose on a match.
# Default: 10
AltOlyMaxPoints = 10

# Olympiad tokens awarded to Heros.
# Default: 180000
AltOlyHeroTokens = 180000

# Hero tables show last months winners or current status
# Retail = true
AltOlyShowMonthlyWinners = True

# Olympiad Managers announce each start of fight
# Retail = true
AltOlyAnnounceGames = True

# Restrict same item in olympiad. ItemID's need to be separated whit comma (ex. 1,200,350)
AltOlyRestrictedItems = 0

# Enchant limit for Olympiad battles.
# (Maximum enchant level allowed for an item to be equipped, -1 to disable)
AltOlyEnchantLimit = -1

# Log all Olympiad fights and outcome to olympiad.csv file.
AlyOlyLogFights = True

# Remove all non self summonable cubics on oly
AltOlyRemoveCubics = True
# -------------------------------------------------------------
# Npc Crafter
# -------------------------------------------------------------
# Can craft manager create items for players using dwarven skills
CraftManagerDwarvenCraft = False
# Can craft manager create items for players using common craft skills
CraftManagerCommonCraft = False
# Can craft manager break items to crystals
CraftManagerCrystallize = False
# Quota of product price for craft and crystallize
CraftManagerPriceMultiplier = 0.1
# Default price, if refference price is zero
CraftManagerDefaultPrice = 50000

# -------------------------------------------------------------
# Misc config
# -------------------------------------------------------------

# Time when a door opens of "The room of a great pirate captain (Zaken)".
# Value range 0-23. (0=00:00:00 AM)
TimeInADayOfOpenADoor = 0

# Time that the door of "The room of a great pirate captain (Zaken)" is opening.
# Value is minute. Range 5-30.
TimeOfOpeningADoor = 5

# Time limit of invade to lair of bosses after server restarted.  
TimeLimitOfInvade = 300000

# Time in ms between auto chats
AutoChatDelay = 30000

# -----------------------------------
# Dimension Rift Config
# -----------------------------------
# Minimal party size to enter rift. Min = 2, Max = 9.
# If in rift party will become smaller all members will be teleported back
# Default: 2
RiftMinPartySize = 2

# Number of maximum jumps between rooms allowed, after this time party will be teleported back
MaxRiftJumps = 4

# Time in ms the party has to wait until the mobs spawn when entering a room. C4 retail: 10s
RiftSpawnDelay = 10000

# Time between automatic jumps in seconds
AutoJumpsDelayMin = 480
AutoJumpsDelayMax = 600

# Time Multiplier for stay in the boss room
BossRoomTimeMultiply = 1.5

# Cost in dimension fragments to enter the rift, each party member must own this amount
RecruitCost = 18
SoldierCost = 21
OfficerCost = 24
CaptainCost = 27
CommanderCost = 30
HeroCost = 33


# -------------------------------------------------------------
# Four Sepulchers Config
# -------------------------------------------------------------

# All times in minutes - whole cycle default: 1 hour

# Default: 3 minutes
TimeOfEntry = 3

# Default: 2 minutes
TimeOfWarmUp = 2

# Default: 50 minutes
TimeOfAttack = 50

# Default: 5 minutes
TimeOfCoolDown = 5

# Default: 4 party members
NumberOfNecessaryPartyMembers = 4


# -----------------------------------------------------------------
# Manor Config
# -----------------------------------------------------------------

# Manor Refresh Time in Military hours Default 8pm (20) 
AltManorRefreshTime = 20

# Manor Refresh Time for Min's, Default 00 so at the start of the hour.
AltManorRefreshMin = 00

# Manor Next Period Approve Time in Military hours Default 6am 
AltManorApproveTime = 6

# Manor Next Period Approve Time for Min's, Default 00 so at the start of the hour.
AltManorApproveMin = 00

# Manor Maintenance time, Default 6 minutes. 
AltManorMaintenancePeriod = 360000

# Manor Save Type. 1-Save data into db after every action; Default false
AltManorSaveAllActions = False

# Manor Save Period (used only if AltManorSaveAllActions=false) Default very 2 hours
AltManorSavePeriodRate = 2

# -------------------------------------------------------------
# Equipment Restriction config
# -------------------------------------------------------------
# Alternate Gaming
# Usage: True  - Restriction enabled
#        False - Restriction disabled
# Castle Shield can be equipped by all clan members if they own a castle. - default True
CastleShieldRestriction = True
# Clan Hall Shield can be equipped by all clan members if they own a clan hall. - default True
ClanHallShieldRestriction = True
# Apella armors can be equipped only by clan members if their class is Baron or higher - default True
ApellaArmorsRestriction = True
# Clan Oath Armors can be equipped only by clan members - default True
OathArmorsRestriction = True
# Castle Crown can be equipped only by castle lord - default True
CastleLordsCrownRestriction = True
# Castle Circlets can be equipped only by clan members if they own a castle - default True
CastleCircletsRestriction = True
# Castle throne can only be used by clan leader if set to True - default False
AltOnlyClanleaderCanSitOnThrone = False

# -------------------------------------------------------------
# Custom Item Config
# -------------------------------------------------------------
# Allow usage of mana potions
AllowManaPotions = True

# -------------------------------------------------------------
# Special Pets config (Snow Fenrir, Snow Great Wolves, Red Striders)
# -------------------------------------------------------------
# Allow usage of special pets to everybody
# Retail: False, only players that clan owns Clan Hall in Aden or Rune can use them
EverybodyCanUseSpecPets = True
MaximumSlotsForPet = 12

# ---------------------------------------------------------------------------
# Fame
# ---------------------------------------------------------------------------
FameForDeadPlayers = True
# The maximum number of Fame points a player can have
# Default: 50000
MaxPersonalFamePoints = 50000

# How frequently the player gets Fame points while in a Fortress Siege zone
# Default: 300s (5 min)
FortressZoneFameTaskFrequency = 300

# How much Fame aquired while in a Fortress Siege Zone
# Default: 31
FortressZoneFameAquirePoints = 31

# How frequently the player gets Fame points while in a Castle Siege zone
# Default: 300s (5 min)
CastleZoneFameTaskFrequency = 300

# How much Fame aquired while in a Castle Siege Zone
# Default: 125
CastleZoneFameAquirePoints = 125

# Whether the tax rate is changed at next midnight, or instantly
# Retail: True (next midnight) 
CastleTaxChangeDelayed = True

# Use advanced reputation point calculations for clan hall sieges (custom!)
# False - 300 points gained/lost even if owner wasn't NPCs (retail info unknown)
AltClanHallSiegeReputation = False

# Show full list of henna?
# False (retail): Only show henna that players have in their inventory
AltShowFullHennaList = False

# When using /loc show "Restart at the XXX" message?
# Retail: False
AltShowRestartTown = False

# Allow auto use of fishing shots
# Retail: False
AltAllowAutoFishShot = False

# Enables dimensional merchants trade for special pets, vitamin items.
# False on European servers.
AltEnableDimensionalMerchants = True

# Enables enchant on Monsters weapons. Does not affect damage, only visual!
# False on European servers.
AltEnableEnchantedWeaponOnMonsters = True

# Enables keep of item/augmentation buffs even after weapon disarm
AltKeepItemBuffs = True

# Allow multiple parties do the instance at the same time
# Retail: False
AllowNaiaMultiPartyInvasion = False

# Time limit for party to clear the room
# Retail: 5
AltNaiaRoomDuration = 5
